# iosfwd File Reference

`#include <bits/c++config.h>`
`#include <bits/c++locale.h>`
`#include <bits/c++io.h>`
`#include <cctype>`
`#include <bits/stringfwd.h>`
`#include <bits/postypes.h>`
`#include <bits/functexcept.h>`

Include dependency graph for iosfwd:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file iosfwd.